AbstractSampleStreamFactory (Apache OpenNLP Tools 1.9.5 API)
Date: 2026-06-18

opennlp.tools.formats

## Class AbstractSampleStreamFactory<T>

- java.lang.Object
- - opennlp.tools.formats.AbstractSampleStreamFactory<T>

- All Implemented Interfaces:
    opennlp.tools.cmdline.ObjectStreamFactory<T>
  Direct Known Subclasses:
    BioNLP2004NameSampleStreamFactory, BratNameSampleStreamFactory, ChunkerSampleStreamFactory, ConlluLemmaSampleStreamFactory, ConlluPOSSampleStreamFactory, ConlluSentenceSampleStreamFactory, ConlluTokenSampleStreamFactory, ConllXPOSSampleStreamFactory, ConstitParseSampleStreamFactory, DetokenizerSampleStreamFactory, DocumentSampleStreamFactory, IrishSentenceBankSentenceStreamFactory, LanguageDetectorSampleStreamFactory, LanguageSampleStreamFactory, LeipzigLanguageSampleStreamFactory, LemmatizerSampleStreamFactory, LetsmtSentenceStreamFactory, MosesSentenceSampleStreamFactory, Muc6NameSampleStreamFactory, NameSampleDataStreamFactory, NKJPSentenceSampleStreamFactory, OntoNotesNameSampleStreamFactory, OntoNotesParseSampleStreamFactory, OntoNotesPOSSampleStreamFactory, ParseSampleStreamFactory, SentenceSampleStreamFactory, TwentyNewsgroupSampleStreamFactory, WordTagSampleStreamFactory

      public abstract class AbstractSampleStreamFactory<T>
      extends Object
      implements opennlp.tools.cmdline.ObjectStreamFactory<T>

  Base class for sample stream factories.

- - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getLang()`
    `<P> Class<P>` | `getParameters()` Returns interface with parameters description.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface opennlp.tools.cmdline.ObjectStreamFactory

      `create`

- - ### Method Detail

    - #### getLang

          public String getLang()

    - #### getParameters

          public <P> Class<P> getParameters()

      Description copied from interface: `opennlp.tools.cmdline.ObjectStreamFactory`
      Returns interface with parameters description.
      Specified by:
        `getParameters` in interface `opennlp.tools.cmdline.ObjectStreamFactory<T>`
      Type Parameters:
        `P` - interfaces which describes the parameters.
      Returns:
        interface with parameters description

Copyright © 2026 The Apache Software Foundation. All rights reserved.